Bug 32283

Summary: Capitalization: opac users of this domain to login with this identity provider
Product: Koha Reporter: Katrin Fischer <katrin.fischer>
Component: TemplatesAssignee: Andrew Auld <andrew.auld>
Status: Pushed to stable --- QA Contact: Testopia <testopia>
Severity: trivial    
Priority: P5 - low CC: amit.gupta, amitddng135, andrew.auld, david, jacob.omara, martin.renvoize
Version: masterKeywords: Academy
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: String patch
Documentation contact: Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.05.00,22.11.01
Attachments: Bug 32283: Correct capitalisation of opac > OPAC
Bug 32283: Correct capitalisation of opac > OPAC
Bug 32283: Correct capitalisation of opac > OPAC
Bug 32283: (follow-up) Fix in two other places
Bug 32283: Correct capitalisation of opac > OPAC
Bug 32283: (follow-up) Fix in two other places

Description Katrin Fischer 2022-11-19 13:36:49 UTC
opac is an abbreviation and needs to be written in capitals: OPAC

koha-tmpl/intranet-tmpl/prog/en/modules/admin/identity_provider_domains.tt:261

opac users of this domain to login with this identity provider
Comment 1 Martin Renvoize 2022-11-22 14:40:40 UTC
Created attachment 144158 [details] [review]
Bug 32283: Correct capitalisation of opac > OPAC

Test plan
Step 1: Navigate to admin>Identity Providers
Step 2: Add new domain
Step 3: For 'Allow opac' setting, verify that opac is lower case in both label and description
Step 4: Apply patch
Step 5: Navigate to admin>Identity Providers
Step 6: Add new domain
Step 7: For 'Allow OPAC' setting, verify that OPAC is upper case in both label and description
Comment 2 Martin Renvoize 2022-11-22 14:41:30 UTC
Another one coming in via github pull request and then transferred via my systems.
Comment 3 Andrew Auld 2022-11-22 15:51:01 UTC
I actually fixed a label on this as well as the description. See test plan.
Comment 4 David Nind 2022-11-22 23:43:07 UTC Comment hidden (obsolete)
Comment 5 David Nind 2022-11-23 00:11:11 UTC
Created attachment 144181 [details] [review]
Bug 32283: Correct capitalisation of opac > OPAC

Test plan
Step 1: Navigate to admin>Identity Providers
Step 2: Add new domain
Step 3: For 'Allow opac' setting, verify that opac is lower case in both label and description
Step 4: Apply patch
Step 5: Navigate to admin>Identity Providers
Step 6: Add new domain
Step 7: For 'Allow OPAC' setting, verify that OPAC is upper case in both label and description

Signed-off-by: David Nind <david@davidnind.com>
Comment 6 David Nind 2022-11-23 00:11:16 UTC
Created attachment 144182 [details] [review]
Bug 32283: (follow-up) Fix in two other places

Fix two other occurences where the capitalization of OPAC
is incorrect:
- Identity provider email domains table column heading
- 'New email domain' form label

Signed-off-by: David Nind <david@davidnind.com>
Comment 7 David Nind 2022-11-23 00:13:14 UTC
I added a follow-up after signing off, I hope that is OK!

Two fixes were required:
- Identity provider email domains table column heading: should also be 'Allow OPAC'.
- 'New email domain' form: the hint text is right, but the label is in lower case and should also be 'Allow OPAC'.

Testing notes:
1. Go to Administration > Additional parameters > Identity providers.
2. Add a 'New identity provider'
3. Once added, select the 'Manage Domains' action for the identity provider.
4. Edit the existing "Identity provider email domains" entry:
   ==> after the patch is applied, OPAC is now in upper case for the 'Allow OPAC' label and hint text.
5. Note that for the "Identity provider email domains" table, the column heading is 'Allow opac' instead of 'Allow OPAC'.
6. Add a 'New email domain' got the identity provider, note that the label is 'Allow opac' (the hint text is correct).
Comment 8 David Nind 2022-11-23 00:17:34 UTC
I also noted that for the forms in koha-tmpl/intranet-tmpl/prog/en/modules/admin/identity_provider_domains.tt, the '<label for="allow_opac">' is used for the 'Allow staff' form field on lines 158 and 264.

I don't know enough about these forms, but should that be '<label for="allow_staff">' instead?
Comment 9 Andrew Auld 2022-11-23 07:06:11 UTC
I can fix those too. Should I do that under this bug? @David
Comment 10 David Nind 2022-11-23 18:49:16 UTC
(In reply to Andrew Auld from comment #9)
> I can fix those too. Should I do that under this bug? @David

Maybe better as a separate bug I think - as it is different from fixing the capitalisation.
Comment 11 Katrin Fischer 2022-12-04 13:13:51 UTC
Created attachment 144423 [details] [review]
Bug 32283: Correct capitalisation of opac > OPAC

Test plan
Step 1: Navigate to admin>Identity Providers
Step 2: Add new domain
Step 3: For 'Allow opac' setting, verify that opac is lower case in both label and description
Step 4: Apply patch
Step 5: Navigate to admin>Identity Providers
Step 6: Add new domain
Step 7: For 'Allow OPAC' setting, verify that OPAC is upper case in both label and description

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Katrin Fischer 2022-12-04 13:13:58 UTC
Created attachment 144424 [details] [review]
Bug 32283: (follow-up) Fix in two other places

Fix two other occurences where the capitalization of OPAC
is incorrect:
- Identity provider email domains table column heading
- 'New email domain' form label

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Tomás Cohen Arazi 2022-12-07 14:39:51 UTC
Pushed to master for 23.05.

Nice work everyone, thanks!
Comment 14 Jacob O'Mara 2022-12-08 11:11:35 UTC
Nice work, thanks everyone!

Pushed to 22.11.x for the next release.